Subject: Re: [imapext] I-D ACTION:draft-ietf-imapmove-command-00.txt

From: Cyrus Daboo <[email-masked]>
Date: Fri, 06 Jul 2012 11:31:47 -0400

Hi Timo,

--On July 6, 2012 5:45:20 PM +0300 Timo Sirainen <[email-masked]> wrote:

>> However, the more we do to reduce the need for clients to re-download
>> messages, the better.
>
> This could be done in a more generic way by adding a GUID extension to
> IMAP protocol. APPEND returns you GUIDs of saved mails. When you see new
> mails you could FETCH GUID for them and if the GUID is already cached you
> wouldn't have to download it.
>

Except the client may have already received an expunge for the message if 
it had that source mailbox selected, or if it "syncs" the source before it 
"syncs" the target.

-- 
Cyrus Daboo